/* xalloc.h - Prototypes for xalloc.c
   Copyright (C) 2000, 2001, 2002, 2003 Cris van Pelt
   Copyright (C) 2003, 2004 Peter Palfrader

   $Id: xalloc.h 409 2004-04-21 12:20:43Z weasel $

   Distributed under the terms of the Artistic License.
*/

inline void *xcalloc(size_t nmemb, size_t size);
inline void *xmalloc(size_t size);
inline void *xrealloc(void *ptr, size_t size);
inline char *xstrdup(const char *s);
